import { Component, OnInit } from '@angular/core';
import {BsModalService} from 'ngx-bootstrap';
import {FramePageComponent} from '../../core/FramePageComponent';
import {FrameRoleDetailComponent} from '../frame-role-detail/frame-role-detail.component';
import {FrameRoleResComponent} from '../frame-role-res/frame-role-res.component';

@Component({
  selector: 'app-frame-role-page',
  templateUrl: './frame-role-page.component.html',
  styleUrls: ['./frame-role-page.component.scss']
})
export class FrameRolePageComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = FrameRoleDetailComponent;
  }

  ngOnInit() {
  }

  showRoleRes(param) {
    this.showComponentModal(FrameRoleResComponent, param , {class: 'modal-5p'});
  }

}
